

# DeleteDomain
<a name="API_DeleteDomain"></a>

 Deletes a domain. You cannot delete a domain that contains repositories. If you want to delete a domain with repositories, first delete its repositories. 

## Request Syntax
<a name="API_DeleteDomain_RequestSyntax"></a>

```
DELETE /v1/domain?domain=domain&domain-owner=domainOwner HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteDomain_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domain](#API_DeleteDomain_RequestSyntax) **   <a name="codeartifact-DeleteDomain-request-uri-domain"></a>
 The name of the domain to delete.   
Length Constraints: Minimum length of 2. Maximum length of 50.  
Pattern: `[a-z][a-z0-9\-]{0,48}[a-z0-9]`   
Required: Yes

 ** [domainOwner](#API_DeleteDomain_RequestSyntax) **   <a name="codeartifact-DeleteDomain-request-uri-domainOwner"></a>
 The 12-digit account number of the AWS account that owns the domain. It does not include dashes or spaces.   
Length Constraints: Fixed length of 12.  
Pattern: `[0-9]{12}` 

## Request Body
<a name="API_DeleteDomain_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteDomain_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "domain": { 
      "arn": "string",
      "assetSizeBytes": number,
      "createdTime": number,
      "encryptionKey": "string",
      "name": "string",
      "owner": "string",
      "repositoryCount": number,
      "s3BucketArn": "string",
      "status": "string"
   }
}
```

## Response Elements
<a name="API_DeleteDomain_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [domain](#API_DeleteDomain_ResponseSyntax) **   <a name="codeartifact-DeleteDomain-response-domain"></a>
 Contains information about the deleted domain after processing the request.   
Type: [DomainDescription](API_DomainDescription.md) object

## Errors
<a name="API_DeleteDomain_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The operation did not succeed because of an unauthorized access attempt.   
HTTP Status Code: 403

 ** ConflictException **   
 The operation did not succeed because prerequisites are not met.     
 ** resourceId **   
 The ID of the resource.   
 ** resourceType **   
 The type of AWS resource. 
HTTP Status Code: 409

 ** InternalServerException **   
 The operation did not succeed because of an error that occurred inside AWS CodeArtifact.   
HTTP Status Code: 500

 ** ThrottlingException **   
 The operation did not succeed because too many requests are sent to the service.     
 ** retryAfterSeconds **   
 The time period, in seconds, to wait before retrying the request. 
HTTP Status Code: 429

 ** ValidationException **   
 The operation did not succeed because a parameter in the request was sent with an invalid value.     
 ** reason **   
 
HTTP Status Code: 400

## See Also
<a name="API_DeleteDomain_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/codeartifact-2018-09-22/DeleteDomain) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/codeartifact-2018-09-22/DeleteDomain) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/codeartifact-2018-09-22/DeleteDomain) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/codeartifact-2018-09-22/DeleteDomain) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/codeartifact-2018-09-22/DeleteDomain) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/codeartifact-2018-09-22/DeleteDomain) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/codeartifact-2018-09-22/DeleteDomain) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/codeartifact-2018-09-22/DeleteDomain) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/codeartifact-2018-09-22/DeleteDomain) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/codeartifact-2018-09-22/DeleteDomain) 